Subject: Thank you for the Gift!
From: Subir Chakma <[email-masked]>
To: Gelna Genusolango G <[email-masked]>, "Kaeiara Blythe R. Delfino" <[email-masked]>, jade Cuizon <[email-masked]>, Richard Plateros <[email-masked]>
Date: Thu, 17 Jul 2014 05:28:50 +0530 (IST)

Dear All 

I got the T-shirt you have sent. Its beautiful, and reminds of the beautiful Philippines and good times I had there. Thank you very much! 

Unfortunately, I could not arrange anything for you, as 'visits' to Phils are wrapped in secret and we do not know about it, unelss someone has already landed in Phils. 

I will keep looking for opportunity to send you some gifts from India as well. 

Take care. 
Subir